footer {
    overflow: hidden;
    clear: both;
    padding: 30px 0;
    border-top: 1px solid #e5e6eb;
}

.footer-content .copy {
    display: block;
    opacity: 0.7;
    color: #3a3c40;
    font-size: 14px;
    font-weight: 400;
    line-height: 30px;
    margin-bottom: 15px;
}

.footer-content p {
    color: #838992;
    font-size: 12px;
    font-weight: 400;
    margin-bottom: 15px;
}

.footer-content p:last-child {
    margin-bottom: 0;
}

.footer-menu {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding: 0;
    margin: 0 0 0px 0;
    list-style: none;
}
.footer-menu.dbl { margin-bottom: 30px;}

@media (max-width: 767px) {
    .footer-menu {
        margin-bottom: 15px;
    }
}

.footer-menu li {
    font-size: 12px;
    color: #838992;
    font-weight: 600;
    margin-right: 5px;
    white-space: nowrap;
    margin-bottom: 10px;
}

.footer-menu a {
    font-size: 13px;
    color: #838992;
    font-weight: 600;
    margin-right: 5px;
}

* {
    outline: none
}

.confirm-account {
    height: 40px;
    background-color: yellow;
    color: #00abeb;
    text-align: center;
    line-height: 40px;
}

#down img {
    transform: rotate(180deg);
}

.adult-icon {
    background-image: url('/img/18.png');
    display: inline-block;
    position: relative;
    width: 50px;
    height: 50px;
    background-size: cover;
}
.adult-icon-mini {
    background-image: url('/img/18.png');
    display: inline-block;
    position: relative;
    width: 20px;
    height: 25px;
    background-size: cover;
}

.discount-icon {
    background-image: url('/img/discount.png');
    background-position: center;
    background-repeat: no-repeat;
    background-size: 35px 35px;
    display: inline-block;
    position: relative;
    width: 50px;
    height: 50px;
}
.discount-icon-mini {
    background-image: url('/img/discount.png');
    display: inline-block;
    position: relative;
    width: 20px;
    height: 20px;
    background-size: cover;
}

.post-image {
    margin: 10px 0;
}

.nobr {
    white-space: nowrap;
}

a.hashtag-item {
    font-size: 10px;
    text-decoration: none;
    font-weight: 700;
    transition: 0.3s ease-in-out;
}

a.hashtag-item:hover {
    color: #0088cc;
}

.character-items {
    display: flex;
    gap: 4px;
}

.character-item {
    display: flex;
    flex-direction: column;
    gap: 4px;
    padding: 6px;
    border-radius: 6px;
    box-shadow: #3333 4px 4px 4px;
    position: relative;
    overflow: hidden;
    align-items: center;
    width: 150px;
    box-sizing: border-box;
    border-top: 2px solid #3333;
    border-left: 2px solid #3333;
}

.character-item * {
    box-sizing: border-box;
}


.character-item > picture {
    width: 100px;
    aspect-ratio: 2/3;
    overflow: hidden;
    transition: 0.15s ease-in-out;
}

.character-item > picture > img {
    object-fit: cover;
    height: 100%;
    width: 100%;
    
}

.character-item > p.character-title {
    transition: 0.15s ease-in-out;
}

.character-item > a {
    position: absolute;
    top: 0;
    left: 0;
}

.character-item > a:hover ~ p.character-title, .character-item-create > button[data-dialog-target]:hover ~ p.character-title {
    color: #00abeb;
}

.character-item-create > button[data-dialog-target] {
    position: absolute;
    top: 0;
    left: 0;
    border: none;
    background-color: transparent;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.character-item-create > picture {
    filter: grayscale(1);
    transition: 0.2s ease-in-out;
}

.character-item-create > button[data-dialog-target]:hover ~ picture {
    filter: none;
}

.character-item > a:hover ~ picture, .character-item-create > button[data-dialog-target]:hover ~ picture{
    transform: scale(1.05);
}

.character-add {
    box-sizing: border-box;
}

.character-add * {
    box-sizing: border-box !important;
}

.character-add-results {
    display: flex;
    gap: 4px;
    flex-direction: column;
}

.character-add-results button[name="action"][value="drop"]::after {
    content: "Отвязать";
}

.character-add-results button[name="action"][value="link"]::after {
    content: "Привязать";
}

.character-add-result {
    display: flex;
    gap: 4px;
}

.character-add-result > a {
    max-width: 70ch;
    text-overflow: ellipsis;
    overflow: hidden;
}

.character-line {
    display: flex;
    gap: 4px;
    padding: 4px;
    background: #f5f5f5;
    border-radius: 4px;
    margin-top: 4px;
}

.character-line > img  {
    width: 75px;
    aspect-ratio: 3/4;
    object-fit: cover;
    border-radius: 4px;
    overflow: hidden;
}

.character-line-description {
    width: 100%;
}

.upic-avatar, .upic-avatar * {
	box-sizing: border-box;
}

.upic-avatar {
	display: flex;
	align-items: center;
	justify-content: center;
	margin: 0;
	padding: 0;
	position: relative;
	max-width: 100%;
	max-height: 100%;
	border-radius: 4px;
	padding: 10%;
	object-fit: contain;
	aspect-ratio: 1;
}

.upic-avatar > img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	aspect-ratio: 1;
}

.upic-avatar::after {
	content: "";
	position: absolute;
	background-image: var(--frameSource);
	background-size: cover;
	pointer-events: none;
	animation: spin 4s linear infinite;
	width: 100%;
	height: 100%;
}

.upic-avatar-empty {
	background-color: var(--secondary-color);
	padding: 10%;
	overflow: hidden;
}